[Subject Prev][Subject Next][Thread Prev][Thread Next][Subject Index][Thread Index]

[linux-users:70785] Re: netatalk-1.4b2+asun2.1.3コンパイルエラー


いながきです。

Hirokazu Nomotoさんの<NDBBLKNKLNCDBONJMOOOEEFHEAAA.nomoto_hirokazu _at_ bud-international.co.jp>から
>>>> しかし…今度は「双方向暗号化パスワード」のパスワードが通らないです。
>>>/etc/pam.d/netatalkの編集とか、
>>----------------------------------------------------------------------
>>#%PAM-1.0
>>auth       required     /lib/security/pam_pwdb.so shadow
>>account    required     /lib/security/pam_pwdb.so
>>#password   required    /lib/security/pam_cracklib.so
>>#password   required    /lib/security/pam_pwdb.so shadow use_authtok
>>session    required     /lib/security/pam_pwdb.so
>>----------------------------------------------------------------------
>make installのままのようですね。
>意味は判らない、だけど、passwordのコメント、臭くないですか?
 このコメントいただく前に外してみましたが残念ながら結果は変わりません
でした。

>makeの注意としては、
>/usr/local/include/des,hが存在すること
>Makefileの編集
>	CRYPTDIR=xxxをコメントアウトすること。
>	必要なら、インストールのパス変更
>make後、make installを2回実行
>(1回では、/usr/lib/atalkおよび/usr/lib/atalk/uamsが設定されない)
>それから、/etc/atalk内には、AppleVolumes.xxxとか、コピーされないので、
>configからコピーする必要がある。
>(/etc/atalk/configはnetatalk.confに代わります)
 DESしか入れてないため、上記の通りにしてみましたが、前と変わらないエ
ラーが出ました(;_;)

Jun 27 20:46:42 hostname afpd[22023]: randnum/rand2num login: hogehoge
Jun 27 20:46:42 hostname afpd[22023]: Insecure permissions found for /home/hogehoge/.passwd.

#何か根本的なミスをしているような気がしてきました…

>>>ちなみに、MacOSはいくつですか?
>>># 暗号化は判らないけど・・・
>> 8.6です。8未満と9以降はすぐには試せる環境がないです、すみません。
>最新のG4(9が付いてきたやつ)を無理やり8.6にしてはいないですよね。
>これは、AppleScriptでの認証がうまくいきません。
 普通のG3です(^^;

この情報があなたの探していたものかどうか選択してください。
yes/まさにこれだ!   no/違うなぁ   part/一部見つかった   try/これで試してみる

あなたが探していた情報はどのようなことか、ご自由に記入下さい。特に「まさにこれだ!」と言う場合は記入をお願いします。
例:「複数のマシンからCATV経由でipmasqueradeを利用してWebを参照したい場合の設定について」
Follow-Ups: References: